Objetos
4 min
Get Objects
Gets the list of objects in a profile of a given device
GET
https://api.fsflt.net/panel/device/objects/list
Header Parameters
- X-API-KEYstringrequiredDescription
Body Parameters
- device_idstringrequiredDescription
- customer_codeNumberrequiredDescription
- profile_codeNumberDescription
curl
curl --location --request GET 'https://api.fsflt.net/panel/device/objects/list' \
--header 'Accept: application/json' \
--header 'Content-Type: application/json' \
--data-raw '{"device_id":"string","customer_code":"Number","profile_code":"Number"}'nodejs
var request = require('request');
var options = {
'method': 'GET',
'url': 'https://api.fsflt.net/panel/device/objects/list',
'headers': {
'Accept': 'application/json',
'Content-Type': 'application/json'
},
body: JSON.stringify({
"device_id": "string",
"customer_code": "Number",
"profile_code": "Number"
})
};
request(options, function (error, response) {
if (error) throw new Error(error);
console.log(response.body);
});
javascript
var myHeaders = new Headers();
myHeaders.append("Accept", "application/json");
myHeaders.append("Content-Type", "application/json");
var raw = JSON.stringify({
"device_id": "string",
"customer_code": "Number",
"profile_code": "Number"
});
var requestOptions = {
method: 'GET',
headers: myHeaders,
body: raw,
redirect: 'follow'
};
fetch("https://api.fsflt.net/panel/device/objects/list", requestOptions)
.then(response => response.text())
.then(result => console.log(result))
.catch(error => console.log('error', error));python
import requests
import json
url = "https://api.fsflt.net/panel/device/objects/list"
payload = json.dumps({
"device_id": "string",
"customer_code": "Number",
"profile_code": "Number"
})
headers = {
'Accept': 'application/json',
'Content-Type': 'application/json'
}
response = requests.request("GET", url, headers=headers, data=payload)
print(response.text)
ruby
require "uri"
require "json"
require "net/http"
url = URI("https://api.fsflt.net/panel/device/objects/list")
https = Net::HTTP.new(url.host, url.port)
https.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Accept"] = "application/json"
request["Content-Type"] = "application/json"
request.body = JSON.dump({
"device_id": "string",
"customer_code": "Number",
"profile_code": "Number"
})
response = https.request(request)
puts response.read_body
200
{
"code": 200,
"content": {
"profile_code": 1,
"ips": [
{
"ip": "1.2.3.4",
"disabled": false
},
{
"ip": "1.2.3.5",
"disabled": false
},
{
"ip": "1.2.3.6",
"disabled": false
},
{
"ip": "ffff:ffff:ffff:ffff:ffff:ffff:ffff:ffff",
"disabled": false
}
],
"users": [
{
"username": "testuser",
"name": "Jhon",
"surname": "Smith",
"disabled": false
}
],
"groups": [
{
"name": "Administrators",
"disabled": false
}
]
}
}412
{
"code" => 412
"content" => "Unauthorized: The device_id provided is not associated with this customer."
}409
{
"code" => 409
"content" => "Unauthorized: The profile_code provided is not associated with this customer."
}Add IP Address
Add a new IP address in a profile for a specific device
POST
https://api.fsflt.net/panel/device/objects/ip/add
Header Parameters
- X-API-KEYstringrequiredDescription
Body Parameters
- device_idStringrequiredDescription
- customer_codeNumberrequiredDescription
- ipStringrequiredDescription
- profile_codeNumberDescription
curl
curl --location --request POST 'https://api.fsflt.net/panel/objects/ip/add' \
--header 'Accept: application/json' \
--header 'Content-Type: application/json' \
--data-raw '{"device_id":"String","customer_code":"Number","ip":"String","profile_code":"Number"}'nodejs
var request = require('request');
var options = {
'method': 'POST',
'url': 'https://api.fsflt.net/panel/objects/ip/add',
'headers': {
'Accept': 'application/json',
'Content-Type': 'application/json'
},
body: JSON.stringify({
"device_id": "String",
"customer_code": "Number",
"ip": "String",
"profile_code": "Number"
})
};
request(options, function (error, response) {
if (error) throw new Error(error);
console.log(response.body);
});
javascript
var myHeaders = new Headers();
myHeaders.append("Accept", "application/json");
myHeaders.append("Content-Type", "application/json");
var raw = JSON.stringify({
"device_id": "String",
"customer_code": "Number",
"ip": "String",
"profile_code": "Number"
});
var requestOptions = {
method: 'POST',
headers: myHeaders,
body: raw,
redirect: 'follow'
};
fetch("https://api.fsflt.net/panel/objects/ip/add", requestOptions)
.then(response => response.text())
.then(result => console.log(result))
.catch(error => console.log('error', error));python
import requests
import json
url = "https://api.fsflt.net/panel/objects/ip/add"
payload = json.dumps({
"device_id": "String",
"customer_code": "Number",
"ip": "String",
"profile_code": "Number"
})
headers = {
'Accept': 'application/json',
'Content-Type': 'application/json'
}
response = requests.request("POST", url, headers=headers, data=payload)
print(response.text)
ruby
require "uri"
require "json"
require "net/http"
url = URI("https://api.fsflt.net/panel/objects/ip/add")
https = Net::HTTP.new(url.host, url.port)
https.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Accept"] = "application/json"
request["Content-Type"] = "application/json"
request.body = JSON.dump({
"device_id": "String",
"customer_code": "Number",
"ip": "String",
"profile_code": "Number"
})
response = https.request(request)
puts response.read_body
200
{
"code": 200,
"content": "IP inserted successfully."
}412
{
"code" => 412
"content" => "Unauthorized: The device_id provided is not associated with this customer."
}403
{
"code" => 403
"content" => "The CloudBox provided cannot handle IPv6s. Please upgrade the CloudBox with a version greater than 1.0.5"
}406
{
"code" => 406
"content" => "Error: Could not add the requested IP address."
}409
{
"code" => 409
"content" => "Unauthorized: The profile_code provided is not associated with this customer."
}Add Range IP
Add a new range of IP addresses in a profile for a specific device
POST
https://api.fsflt.net/panel/device/objects/rangeip/add
Header Parameters
- X-API-KEYstringrequiredDescription
Body Parameters
- device_idStringrequiredDescription
- customer_codeNumberrequiredDescription
- ip_startStringrequiredDescription
- ip_endstringrequiredDescription
- profile_codeNumberDescription
curl
curl --location --request POST 'https://api.fsflt.net/panel/objects/rangeip/add' \
--header 'Accept: application/json' \
--header 'Content-Type: application/json' \
--data-raw '{"device_id":"String","customer_code":"Number","ip_start":"String","ip_end":"string","profile_code":"Number"}'nodejs
var request = require('request');
var options = {
'method': 'POST',
'url': 'https://api.fsflt.net/panel/objects/rangeip/add',
'headers': {
'Accept': 'application/json',
'Content-Type': 'application/json'
},
body: JSON.stringify({
"device_id": "String",
"customer_code": "Number",
"ip_start": "String",
"ip_end": "string",
"profile_code": "Number"
})
};
request(options, function (error, response) {
if (error) throw new Error(error);
console.log(response.body);
});
javascript
var myHeaders = new Headers();
myHeaders.append("Accept", "application/json");
myHeaders.append("Content-Type", "application/json");
var raw = JSON.stringify({
"device_id": "String",
"customer_code": "Number",
"ip_start": "String",
"ip_end": "string",
"profile_code": "Number"
});
var requestOptions = {
method: 'POST',
headers: myHeaders,
body: raw,
redirect: 'follow'
};
fetch("https://api.fsflt.net/panel/objects/rangeip/add", requestOptions)
.then(response => response.text())
.then(result => console.log(result))
.catch(error => console.log('error', error));python
import requests
import json
url = "https://api.fsflt.net/panel/objects/rangeip/add"
payload = json.dumps({
"device_id": "String",
"customer_code": "Number",
"ip_start": "String",
"ip_end": "string",
"profile_code": "Number"
})
headers = {
'Accept': 'application/json',
'Content-Type': 'application/json'
}
response = requests.request("POST", url, headers=headers, data=payload)
print(response.text)
ruby
require "uri"
require "json"
require "net/http"
url = URI("https://api.fsflt.net/panel/objects/rangeip/add")
https = Net::HTTP.new(url.host, url.port)
https.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Accept"] = "application/json"
request["Content-Type"] = "application/json"
request.body = JSON.dump({
"device_id": "String",
"customer_code": "Number",
"ip_start": "String",
"ip_end": "string",
"profile_code": "Number"
})
response = https.request(request)
puts response.read_body
200
{
"code": 200,
"content": "IP inserted successfully."
}412
{
"code" => 412
"content" => "Unauthorized: The device_id provided is not associated with this customer."
}403
{
"code" => 403
"content" => "Range IP not valid. Please provide a valid IP Range."
}406
{
"code" => 406
"content" => "The supplied IP Range exceeds the limits"
}409
{
"code" => 409
"content" => "Unauthorized: The profile_code provided is not associated with this customer."
}Add CIDR
Add CIDR in a profile for a specific device
POST
https://api.fsflt.net/panel/device/objects/cidr/add
Header Parameters
- X-API-KEYstringrequiredDescription
Body Parameters
- device_idStringrequiredDescription
- customer_codeNumberrequiredDescription
- cidrStringrequiredDescription
- profile_codeNumberDescription
curl
curl --location --request POST 'https://api.fsflt.net/panel/objects/cidr/add' \
--header 'Accept: application/json' \
--header 'Content-Type: application/json' \
--data-raw '{"device_id":"String","customer_code":"Number","cidr":"String","profile_code":"Number"}'nodejs
var request = require('request');
var options = {
'method': 'POST',
'url': 'https://api.fsflt.net/panel/objects/cidr/add',
'headers': {
'Accept': 'application/json',
'Content-Type': 'application/json'
},
body: JSON.stringify({
"device_id": "String",
"customer_code": "Number",
"cidr": "String",
"profile_code": "Number"
})
};
request(options, function (error, response) {
if (error) throw new Error(error);
console.log(response.body);
});
javascript
var myHeaders = new Headers();
myHeaders.append("Accept", "application/json");
myHeaders.append("Content-Type", "application/json");
var raw = JSON.stringify({
"device_id": "String",
"customer_code": "Number",
"cidr": "String",
"profile_code": "Number"
});
var requestOptions = {
method: 'POST',
headers: myHeaders,
body: raw,
redirect: 'follow'
};
fetch("https://api.fsflt.net/panel/objects/cidr/add", requestOptions)
.then(response => response.text())
.then(result => console.log(result))
.catch(error => console.log('error', error));python
import requests
import json
url = "https://api.fsflt.net/panel/objects/cidr/add"
payload = json.dumps({
"device_id": "String",
"customer_code": "Number",
"cidr": "String",
"profile_code": "Number"
})
headers = {
'Accept': 'application/json',
'Content-Type': 'application/json'
}
response = requests.request("POST", url, headers=headers, data=payload)
print(response.text)
ruby
require "uri"
require "json"
require "net/http"
url = URI("https://api.fsflt.net/panel/objects/cidr/add")
https = Net::HTTP.new(url.host, url.port)
https.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Accept"] = "application/json"
request["Content-Type"] = "application/json"
request.body = JSON.dump({
"device_id": "String",
"customer_code": "Number",
"cidr": "String",
"profile_code": "Number"
})
response = https.request(request)
puts response.read_body
200
{
"code" => 403
"content" => "The CloudBox provided cannot handle CIDRs."
}409
{
"code" => 409
"content" => "Unauthorized: The profile_code provided is not associated with this customer."
}412
{
"code" => 412
"content" => "Unauthorized: The device_id provided is not associated with this customer."
}403
{
"code" => 403
"content" => "The CloudBox provided cannot handle CIDRs."
}406
{
"code" => 406
"content" => "Error: Could not add the requested CIDR address."
}Remove IP Address
Remove IP address from profile for a specific device
POST
https://api.fsflt.net/panel/device/objects/ip/remove
Header Parameters
- X-API-KEYstringrequiredDescription
Body Parameters
- device_idStringrequiredDescription
- customer_codeNumberrequiredDescription
- ipStringrequiredDescription
curl
curl --location --request POST 'https://api.fsflt.net/panel/objects/ip/remove' \
--header 'Accept: application/json' \
--header 'Content-Type: application/json' \
--data-raw '{"device_id":"String","customer_code":"Number","ip":"String"}'nodejs
var request = require('request');
var options = {
'method': 'POST',
'url': 'https://api.fsflt.net/panel/objects/ip/remove',
'headers': {
'Accept': 'application/json',
'Content-Type': 'application/json'
},
body: JSON.stringify({
"device_id": "String",
"customer_code": "Number",
"ip": "String"
})
};
request(options, function (error, response) {
if (error) throw new Error(error);
console.log(response.body);
});
javascript
var myHeaders = new Headers();
myHeaders.append("Accept", "application/json");
myHeaders.append("Content-Type", "application/json");
var raw = JSON.stringify({
"device_id": "String",
"customer_code": "Number",
"ip": "String"
});
var requestOptions = {
method: 'POST',
headers: myHeaders,
body: raw,
redirect: 'follow'
};
fetch("https://api.fsflt.net/panel/objects/ip/remove", requestOptions)
.then(response => response.text())
.then(result => console.log(result))
.catch(error => console.log('error', error));python
import requests
import json
url = "https://api.fsflt.net/panel/objects/ip/remove"
payload = json.dumps({
"device_id": "String",
"customer_code": "Number",
"ip": "String"
})
headers = {
'Accept': 'application/json',
'Content-Type': 'application/json'
}
response = requests.request("POST", url, headers=headers, data=payload)
print(response.text)
ruby
require "uri"
require "json"
require "net/http"
url = URI("https://api.fsflt.net/panel/objects/ip/remove")
https = Net::HTTP.new(url.host, url.port)
https.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Accept"] = "application/json"
request["Content-Type"] = "application/json"
request.body = JSON.dump({
"device_id": "String",
"customer_code": "Number",
"ip": "String"
})
response = https.request(request)
puts response.read_body
200
{
"code": 200,
"content": "IP removed successfully."
}412
{
"code" => 412
"content" => "Unauthorized: The device_id provided is not associated with this customer."
}406
{
"code" => 406
"content" => "IP given not found."
}Remove Range IP
Removes a range of IP addresses in a profile for a specific device
POST
https://api.fsflt.net/panel/device/objects/rangeip/remove
Header Parameters
- X-API-KEYstringrequiredDescription
Body Parameters
- device_idStringrequiredDescription
- customer_codeNumberrequiredDescription
- ip_startStringrequiredDescription
- ip_endstringrequiredDescription
curl
curl --location --request POST 'https://api.fsflt.net/panel/objects/rangeip/remove' \
--header 'Accept: application/json' \
--header 'Content-Type: application/json' \
--data-raw '{"device_id":"String","customer_code":"Number","ip_start":"String","ip_end":"string"}'nodejs
var request = require('request');
var options = {
'method': 'POST',
'url': 'https://api.fsflt.net/panel/objects/rangeip/remove',
'headers': {
'Accept': 'application/json',
'Content-Type': 'application/json'
},
body: JSON.stringify({
"device_id": "String",
"customer_code": "Number",
"ip_start": "String",
"ip_end": "string"
})
};
request(options, function (error, response) {
if (error) throw new Error(error);
console.log(response.body);
});
javascript
var myHeaders = new Headers();
myHeaders.append("Accept", "application/json");
myHeaders.append("Content-Type", "application/json");
var raw = JSON.stringify({
"device_id": "String",
"customer_code": "Number",
"ip_start": "String",
"ip_end": "string"
});
var requestOptions = {
method: 'POST',
headers: myHeaders,
body: raw,
redirect: 'follow'
};
fetch("https://api.fsflt.net/panel/objects/rangeip/remove", requestOptions)
.then(response => response.text())
.then(result => console.log(result))
.catch(error => console.log('error', error));python
import requests
import json
url = "https://api.fsflt.net/panel/objects/rangeip/remove"
payload = json.dumps({
"device_id": "String",
"customer_code": "Number",
"ip_start": "String",
"ip_end": "string"
})
headers = {
'Accept': 'application/json',
'Content-Type': 'application/json'
}
response = requests.request("POST", url, headers=headers, data=payload)
print(response.text)
ruby
require "uri"
require "json"
require "net/http"
url = URI("https://api.fsflt.net/panel/objects/rangeip/remove")
https = Net::HTTP.new(url.host, url.port)
https.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Accept"] = "application/json"
request["Content-Type"] = "application/json"
request.body = JSON.dump({
"device_id": "String",
"customer_code": "Number",
"ip_start": "String",
"ip_end": "string"
})
response = https.request(request)
puts response.read_body
200
{
"code": 200,
"content": "Range IP removed successfully."
}412
{
"code" => 412
"content" => "Unauthorized: The device_id provided is not associated with this customer."
}406
{
"code" => 406
"content" => "Range IP given not found."
}Remove CIDR
Removes CIDR in a profile for a specific device
POST
https://api.fsflt.net/panel/device/objects/cidr/remove
Header Parameters
- X-API-KEYstringrequiredDescription
Body Parameters
- device_idStringrequiredDescription
- customer_codeNumberrequiredDescription
- cidrStringrequiredDescription
curl
curl --location --request POST 'https://api.fsflt.net/panel/objects/cidr/remove' \
--header 'Accept: application/json' \
--header 'Content-Type: application/json' \
--data-raw '{"device_id":"String","customer_code":"Number","cidr":"String","profile_code":"Number"}'nodejs
var request = require('request');
var options = {
'method': 'POST',
'url': 'https://api.fsflt.net/panel/objects/cidr/remove',
'headers': {
'Accept': 'application/json',
'Content-Type': 'application/json'
},
body: JSON.stringify({
"device_id": "String",
"customer_code": "Number",
"cidr": "String",
"profile_code": "Number"
})
};
request(options, function (error, response) {
if (error) throw new Error(error);
console.log(response.body);
});
javascript
var myHeaders = new Headers();
myHeaders.append("Accept", "application/json");
myHeaders.append("Content-Type", "application/json");
var raw = JSON.stringify({
"device_id": "String",
"customer_code": "Number",
"cidr": "String",
"profile_code": "Number"
});
var requestOptions = {
method: 'POST',
headers: myHeaders,
body: raw,
redirect: 'follow'
};
fetch("https://api.fsflt.net/panel/objects/cidr/remove", requestOptions)
.then(response => response.text())
.then(result => console.log(result))
.catch(error => console.log('error', error));python
import requests
import json
url = "https://api.fsflt.net/panel/objects/cidr/remove"
payload = json.dumps({
"device_id": "String",
"customer_code": "Number",
"cidr": "String",
"profile_code": "Number"
})
headers = {
'Accept': 'application/json',
'Content-Type': 'application/json'
}
response = requests.request("POST", url, headers=headers, data=payload)
print(response.text)
ruby
require "uri"
require "json"
require "net/http"
url = URI("https://api.fsflt.net/panel/objects/cidr/remove")
https = Net::HTTP.new(url.host, url.port)
https.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Accept"] = "application/json"
request["Content-Type"] = "application/json"
request.body = JSON.dump({
"device_id": "String",
"customer_code": "Number",
"cidr": "String",
"profile_code": "Number"
})
response = https.request(request)
puts response.read_body
200
{
"code" => 403
"content" => "CIDR removed successfully."
}412
{
"code" => 412
"content" => "Unauthorized: The device_id provided is not associated with this customer."
}406
{
"code" => 406
"content" => "CIDR given not found."
}